alter table jin_package add currency char(3) not null after backpay_pgates;
alter table jin_package add currency_rate decimal(10,6) not null default 0 after currency;
alter table jin_sale add currency char(3) not null after has_comms;
alter table jin_sale add currency_rate decimal(10,6) not null default 0 after currency;
alter table jin_sale modify txn_code varchar(32) not null default '';
alter table jin_sale add txn_ref varchar(32) not null default '' after txn_code;